mbmc.net
当前位置:首页 >> CAD展点程序lisp >>

CAD展点程序lisp

(DEFUN C:TT ( / ss ff ss1 en pt x y) (setvar "cmdecho" 0) (setvar "blipmode" 0) (setvar "dimzin" 0) (vl-load-com);;加载vlax扩展函数 (setq ss (ssget '((0 . "point"))) n 0);;请选择点 (if (/= ss nil) (progn (setq ff (open "d://文...

首先根据点位与点号的想对位置关系做一个块,块里边是一个点位,还有一个属性,属性是个文本,用来放点号 编程思路如下,: 1,关闭无关图层,仅留下 点位与点号所在的图层 2,使用选择集功能,将所有显示的实体放入选择集中 3,遍历选择集,查...

做了隐藏和显示两个命令. 我编写的简单,功能不太全.你看着用吧 复制下列代码,创建acad.lsp.放在在CAD安装目录第一层文件夹下,可自动加载啊: ;在命令行输入该命令hidsel,然后选择图元,结果没选的被改到隐藏层 (defun C:hidsel(/ all;所有图元 xs;...

步骤如下:1.使用菜单“工具\自定义\界面”,如下第一个附图所示。 2.在其对话框中,如下第二个附图所示,在左下角的命令列表区域之右上角附近找到“创建新命令”按钮,点击之。 3.在变化了的右侧界面中的右上方,“按钮图像”栏内,选择一个需要增加...

(defun C:arb () (setvar "cmdecho" 0) (setvar "gridmode" 0) (setvar "lwdisplay" 1) (setvar "orthomode" 0) (command "dimscale" 1) (setq f_line (tblsearch "layer" "inside")) (if (= f_line nil) (command "layer" "n" "inside" "c" 90 ...

你可以下载一个燕秀工具箱,安装好后打开CAD用燕秀工具箱菜单下的线工具----交点打断功能就可以一次性全部打断了!

建议下个同舟工具箱或贱人工具箱!网上很多也很好用,我用的是舟工具箱8.0!

AutoCAD只是提供了基本功能,同时提供了二次开发编程接口,可以加载autolisp程序。 比较有名的【天正】插件,AutoCAD加载以后,提供各种功能,提高了绘图功能。由于天正越来越完善,越来越多的设计院使用天正来绘制图形。 当然,这个编程可以自...

百度搜迷你建筑工具。 安装之后输入ALL找到交点断开即可。

其实很简单的,不用三楼那么麻烦的。 (defun c:pt() (setvar "cmdecho" 0) (while (setq pt1 (getpoint "\n请指定点位置:")) (setq point_x (rtos (car pt1) 2 2)) (setq point_y (rtos (cadr pt1) 2 2)) (setq point_z (rtos (caddr pt1) 2 2))...

网站首页 | 网站地图
All rights reserved Powered by www.mbmc.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com